Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant
Class CactifyWarTask.ServletRedirector

    java.lang.Object
      org.apache.cactus.integration.ant.CactifyWarTask.Redirector
          org.apache.cactus.integration.ant.CactifyWarTask.ServletRedirector

Enclosing class:
  CactifyWarTask

public static final class CactifyWarTask.ServletRedirector
extends CactifyWarTask.Redirector

Implementation of `Redirector` for servlet test redirectors.

Constructor Summary
`CactifyWarTask.ServletRedirector()` Default constructor.

Method Summary
`void` | `mergeInto(org.codehaus.cargo.module.webapp.WebXml theWebXml)` Merges the definition of the redirector into the provided deployment descriptor.

Methods inherited from class org.apache.cactus.integration.ant.CactifyWarTask.Redirector
`setMapping, setName, setRoles`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CactifyWarTask.ServletRedirector

    public CactifyWarTask.ServletRedirector()

  Default constructor.

Method Detail

### mergeInto

    public void mergeInto(org.codehaus.cargo.module.webapp.WebXml theWebXml)

  Description copied from class: `CactifyWarTask.Redirector`
  Merges the definition of the redirector into the provided deployment descriptor.

  Specified by:
    `mergeInto` in class `CactifyWarTask.Redirector`
  Parameters:
    `theWebXml` - The deployment descriptor into which the redirector definition should be merged
  See Also:
    `CactifyWarTask.Redirector.mergeInto(org.codehaus.cargo.module.webapp.WebXml)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.